# Shipment

The following chapter will give you an overview about the shipment endpoints and their function.

 - [POST /cargosoft/shipment/lookup](https://api-cargosoft.redocly.app/2026.1/openapi/shipment/lookup_1.md): This endpoint looks up shipments. The result should be limit by using search criterias in the request body. For a complete list of search criteria see the ShipmentIdentifier enumeration below. Dependi
 - [GET /cargosoft/shipment/{id}/airmaincarriage](https://api-cargosoft.redocly.app/2026.1/openapi/shipment/retrieveairmaincarriage.md): Retrieve the airfreight main carriage of the shipment with additional details. The CargoSoft Shipment ID is needed to retrieve the main carriage.
 - [GET /cargosoft/shipment/{id}](https://api-cargosoft.redocly.app/2026.1/openapi/shipment/retrievebyid_1.md): Retrieve a specific shipment with the CargoSoft database id.
 - [GET /cargosoft/shipment/{id}/events](https://api-cargosoft.redocly.app/2026.1/openapi/shipment/retrieveevents.md): This endpoint retrieves all events of the shipment. To retrieve the events, the shipment id is needed. It is possible that not all events are included in the response because they are not entered or k
 - [GET /cargosoft/shipment/{id}/seamaincarriage](https://api-cargosoft.redocly.app/2026.1/openapi/shipment/retrieveseamaincarriage.md): Retrieve the main carriage of the shipment with additional details.
 - [POST /cargosoft/shipment/{shipmentId}/event](https://api-cargosoft.redocly.app/2026.1/openapi/shipment/create_1.md): Create a shipment event of the given event type.
 - [PUT /cargosoft/shipment/{shipmentId}/event/{id}](https://api-cargosoft.redocly.app/2026.1/openapi/shipment/update.md): Update the event of the given event type.
